Subject: Bug#3757: Installation of kernel-image-2.0.0-0 messes up the system

From: MIZUHARA Bun <[email-masked]>
Date: Fri, 12 Jul 1996 22:01:45 +0900

Package: kernel-image-2.0.0-0
Version: 2.0.0-0

(1) This package does not have to be installed at all, because
"Base Installation" diskette contains the same version of kernel.
But when you invoke dselect, this package is marked as "required",
so you are about to install it unless you deselect it explicitly.

(2) Two perl scripts included in this package, postinst and prerm,
have wrong perl path.  The first line of the scripts is:
	#! /bin/perl
Because perl is installed in /usr/bin, not /bin, this should be:
	#! /usr/bin/perl
This bug produces messages like this:
	Setting up kernel-image-2.0.0
	dpkg (subprocess): unable to execute post-installation script:
	No such file or directory
and the installation fails.
The scripts themselves should be fixed, but you can circumvent
this bug by symbolic-linking /usr/bin/perl to /bin/perl.

(3) postinst script has another bug.  Subroutine makefloppy has
this line:
	$ret = system '/usr/sbin/rdev', "$rootdevice";
Of course this should be:
	$ret = system '/usr/sbin/rdev', '/dev/fd0', "$rootdevice";
This bug prevents the system from booting if your root device is
not /dev/hda1.
Luckily I am an experienced linux user, and I have another linux
system working, so I can re-set the root device correctly, but
I think these problems are hard to solve for inexperienced users.

I have heard that Debian is the most complete Linux distribution,
still I cannot believe it has these silly bugs.

I am using Debian 1.1, kernel version 2.0.0, and libc 5.2.18.

Hardware configuration:

CPU:	i486 DX2 66MHz
M/B:	Taiwan made VL (SiS 85C471/85C407chipset)
Memory:	32MB
Video:	S3 864 DRAM 1MB
SCSI:	Buslogic BT-445S
HDD:	SCSI 500MB (Fujitsu M2624SA)
Tape:	SCSI QIC525 (Wangtek 5525ES)
CD-ROM:	SCSI 4x (Pioneer DR-104X)

----
MIZUHARA Bun